/********************************************************************************
    Advent of Code 2024 - day-01
********************************************************************************/

package main

import (
	"embed"
	"flag"
	"fmt"
	"log"

	problems "github.com/onyx-and-iris/aoc2024/day-01"
)

//go:embed testdata
var files embed.FS

func main() {
	filename := flag.String("f", "input.txt", "input file")
	flag.Parse()

	data, err := files.ReadFile(fmt.Sprintf("testdata/%s", *filename))
	if err != nil {
		log.Fatal(err)
	}

	problems.Solve(data)
}
